﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DefaultByJavascript.aspx.cs"
    Inherits="DefaultByJavascript" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Animated Marker</title>
    <script type="text/javascript">
        var UpdateMarkers = function() {
            Map1.GetMapParser().sendMarkersRequest();
//            var olMap = Map1.GetOpenLayersMap();
//            var lineOverlay = olMap.getLayer("LabelOverlay");

//            if (lineOverlay != null) {
//                lineOverlay.redraw(true);
//            }
        }

        var OnMapCreating = function (map) 
{

    OpenLayers.Layer.Markers.prototype.addMarker = function (marker) 
    {
        this.markers.push(marker);

        if (this.opacity != null) {
            marker.setOpacity(this.opacity);
        }

        if (this.map && this.map.getExtent()) {
            marker.map = this.map;
            this.drawMarker(marker);
        }

        marker.events.on({
            'mouseover': function (evt) {
                this.originalSize = this.icon.size;
                if (!this.originalSize) {
                    this.originalSize = new OpenLayers.Size(this.icon.imageDiv.clientWidth, this.icon.imageDiv.clientHeight);
                }
                this.icon.setSize(this.magnifiedSize);
            },
            'mouseout': function (evt) { this.icon.setSize(this.originalSize); },
            scope: marker
        });
    }

    OpenLayers.Marker.GeoMarker = OpenLayers.Class(OpenLayers.Marker.GeoMarker, {
        originalSize: null,
        magnifiedSize: new OpenLayers.Size(50, 50)
    });
}
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <cc1:Map ID="Map1" runat="server" Height="480px" Width="640px">
        </cc1:Map>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <asp:Timer ID="Timer1" runat="server" Interval="500" OnTick="Timer1_Tick">
                </asp:Timer>
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>
    </form>
</body>
</html>
