﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DefaultByOpenLayers.aspx.cs"
    Inherits="DefaultByOpenLayers" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Animated Marker</title>
    <script type="text/javascript">
        var olMap;
        
        var OnMapCreated = function(map) {

            olMap = map;

            var markers = new OpenLayers.Layer.Markers("MarkerOverlay");
            markers.id = "MarkerOverlay";
            map.addLayer(markers);

            var size = new OpenLayers.Size(21, 25);
            var offset = new OpenLayers.Pixel(-(size.w / 2), -size.h);
            var icon = new OpenLayers.Icon("/Post5326/theme/default/img/marker_blue.gif", size, offset);
            var marker = new OpenLayers.Marker(new OpenLayers.LonLat(-123, 40), icon);

            markers.addMarker(marker);    

            window.setInterval('RefreshMap()', 5000);
        }

        function RefreshMap() {
            var markerOverlay = olMap.getLayer("MarkerOverlay");

            markerOverlay.clearMarkers();

            for (i = 0; i < markerOverlay.markers.length; i++) {

                markerOverlay.markers[i].destroy();
                markerOverlay.removeMarker(markerOverlay.markers[i]);
                
            }

            PageMethods.GetMarker(getMarkerMethodCompleted);
        }

        function getMarkerMethodCompleted(result, context, methodName) {
            var size = new OpenLayers.Size(21, 25);
            var offset = new OpenLayers.Pixel(-(size.w / 2), -size.h);
            var icon = new OpenLayers.Icon("/Post5326/theme/default/img/marker_blue.gif", size, offset);
            var marker = new OpenLayers.Marker(new OpenLayers.LonLat(result.Longitude, result.Latitude), icon);

            var markerOverlay = olMap.getLayer("MarkerOverlay");
            markerOverlay.addMarker(marker);
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true">
        </asp:ScriptManager>
        <cc1:Map ID="Map1" runat="server" Height="480px" Width="640px">
        </cc1:Map>
    </div>
    </form>
</body>
</html>
